--- title: "Validate Agent Spec flow on runtime" description: "Validate an Agent Spec flow specification against the runtime\nwithout executing it. Checks for structural correctness,\nvalid node references, and property compatibility.\n" source: https://flowdrop.io/docs/api/agent-spec/agentSpecValidateFlow site: FlowDrop documentation --- # Validate Agent Spec flow on runtime `POST /agentspec/flows/validate` Validate an Agent Spec flow specification against the runtime without executing it. Checks for structural correctness, valid node references, and property compatibility. ## Request body - `application/json` — AgentSpecFlow ## Responses - `200` — Validation result (`application/json`: AgentSpecRuntimeValidation) - `400` — Bad request - invalid parameters or request body (`application/json`: ErrorResponse) - `500` — Internal server error (`application/json`: ErrorResponse) *Tags: Agent Spec*